package jp.co.y_net.amm.page;

import jp.co.y_net.amm.common.ResourceReader;

import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.link.ExternalLink;
import org.apache.wicket.markup.html.panel.FeedbackPanel;

public class ErrorPage extends AppPage{
    public ErrorPage() {
        /* フィードバックパネル設置 */
        add(new FeedbackPanel("feedback"));
        
        /* 標準メッセージ */
        add(new WebMarkupContainer("starndardmsg") {
            @Override
            public boolean isVisible() {
                return getPage().hasFeedbackMessage() == false;
            }
        });
        
        add(new ExternalLink("goTop",ResourceReader.getStringQuick("url.back.top")));
    }
//    @Override
//    protected boolean needLogin() {
//        return false;
//    }
}
